% $Id: mdcBuild.tex,v 1.1 2001/04/02 20:37:00 Philip.Charlton Exp $

%% Start of test BUILD01
\pagebreak
\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular}{@{}p{10em}@{}p{24em}@{}}
{\bf Test Case:}        & BUILD01\\
{\bf Purpose: }         & Verify the datacondAPI build, as part of the
                          LDAS build\\
{\bf Tester: }          & \rule{15em}{.1pt} \\
{\bf Test machine: }    & \rule{15em}{.1pt} \\
{\bf Date (mm/dd/yy): } & \rule{2em}{.1pt}/\rule{2em}{.1pt}/\rule{2em}{.1pt}
\hspace{2em} {\bf Time: } \rule{6em}{.1pt}\\
\end{tabular}
\renewcommand{\arraystretch}{1} 
\vspace{1em}

\noindent
{\bf ENVIRONMENT AND PREREQUISITES} 

This test is executed from the user account \mdc\ on the data
conditioning hardware \datacon.

\vspace{1em}
\noindent
{\bf PROCEDURE}

\begin{enumerate}
\item Inspect the log-files from the current build of the LDAS S/W
  system and insure that LDAS, including the data conditioning api,
  builds without errors. Correct the LDAS source if necessary until a
  successful build results.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Mark the current, successfully built version of the LDAS S/W
  using the CVS tag \pretag, where {\tt YY\/} is the two digit year,
  {\tt MM\/} the two digit month and {\tt DD\/} the two digit day of
  the beginning of this MDC.  
\\ \hspace*{\fill} {\bf Pass / Fail}
\end{enumerate}

\noindent
{\bf SUMMARY}
\vspace{1em}

\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular*}{\textwidth}{@{}l@{\extracolsep{\fill}}p{15em}@{}}
{\bf Known faults encountered -- list bug IDs: } & \hrulefill\\
\multicolumn{2}{@{}l@{}}{\hrulefill}\\
{\bf New faults submitted -- list bug IDs: } & \hrulefill \\
\multicolumn{2}{@{}l@{}}{\hrulefill}\\
\end{tabular*}
\renewcommand{\arraystretch}{1} 

\vspace{1em}

\noindent
{\bf TEST RESULT } \hfill {\bf Pass / Fail }\\
%% End of test BUILD01

%% Start of test BUILD02
\pagebreak
\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular}{@{}p{10em}@{}p{24em}@{}}
{\bf Test Case:}        & BUILD02\\
{\bf Purpose: }         & Verify the existence of the Data Conditioning API\\
                        & web-based class documentation.\\
{\bf Tester: }          & \rule{15em}{.1pt} \\
{\bf Test machine: }    & \rule{15em}{.1pt} \\
{\bf Date (mm/dd/yy): } & \rule{2em}{.1pt}/\rule{2em}{.1pt}/\rule{2em}{.1pt}
\hspace{2em} {\bf Time: } \rule{6em}{.1pt}\\
\end{tabular}
\renewcommand{\arraystretch}{1} 
\vspace{1em}

\noindent
{\bf ENVIRONMENT AND PREREQUISITES} 

This test is executed from the user account \mdc\ on the data
conditioning hardware \datacon. It depends on the successful
completion of BUILD01.

\vspace{1em}
\noindent
{\bf PROCEDURE}

\begin{enumerate}
% MIXER
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt Mixer\/} class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt MixerState\/}
  class.
% RESAMPLE
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt Resample\/}
  class.
% LINEAR FILTERING
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt LinFilt\/}
  class.
% LINEAR FILTER DESIGN
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt FIRLP\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt KFIRLP\/}
  class.
% STATISTICS
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt Statistics\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt PSDEstimate\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt WelchEstimate\/}
  class.
% FFT
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt FFT\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt IFFT\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt FFTImpBase\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt SFFTImplement\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt SIFFTImplement\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt DFFTImplement\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt DIFFTImplement\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt plandb\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt plankey\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt planhandle\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt dplanhandle\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
% HELPERS
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt
    fvalarray\/} class. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt Window\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt
    WindowImp\/} class. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt
    WindowInfo\/} class. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt
    HannWindow\/} class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt
    KaiserWindow\/} class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt
    RectangularWindow\/}  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt Warning\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a web-browser verify that the Data Conditioning API
  perceps documentation is built and complete for the {\tt
    unimplemented\_error\/} class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\end{enumerate}

\noindent
{\bf SUMMARY}
\vspace{1em}

\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular*}{\textwidth}{@{}l@{\extracolsep{\fill}}p{15em}@{}}
{\bf Known faults encountered -- list bug IDs: } & \hrulefill\\
\multicolumn{2}{@{}l@{}}{\hrulefill}\\
{\bf New faults submitted -- list bug IDs: } & \hrulefill \\
\multicolumn{2}{@{}l@{}}{\hrulefill}\\
\end{tabular*}
\renewcommand{\arraystretch}{1} 

\vspace{1em}

\noindent
{\bf TEST RESULT } \hfill {\bf Pass / Fail }\\
%% End of test BUILD02

%% Start of test BUILD03
\pagebreak
\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular}{@{}p{10em}@{}p{24em}@{}}
{\bf Test Case:}        & BUILD03\\
{\bf Purpose: }         & Verify the existence of the Data Conditioning API\\
                        & tex-based class documentation.\\
{\bf Tester: }          & \rule{15em}{.1pt} \\
{\bf Test machine: }    & \rule{15em}{.1pt} \\
{\bf Date (mm/dd/yy): } & \rule{2em}{.1pt}/\rule{2em}{.1pt}/\rule{2em}{.1pt}
\hspace{2em} {\bf Time: } \rule{6em}{.1pt}\\
\end{tabular}
\renewcommand{\arraystretch}{1} 
\vspace{1em}

\noindent
{\bf ENVIRONMENT AND PREREQUISITES} 

This test is executed from the user account \mdc\ on the data
conditioning hardware \datacon. It depends on the successful
completion of BUILD01.

\vspace{1em}
\noindent
{\bf PROCEDURE}

\begin{enumerate}
% MIXER
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt Mixer\/} class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt MixerState\/}
  class.
% RESAMPLE
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt Resample\/}
  class.
% LINEAR FILTERING
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt LinFilt\/}
  class.
% LINEAR FILTER DESIGN
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt FIRLP\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt KFIRLP\/}
  class.
% STATISTICS
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt Statistics\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt PSDEstimate\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt WelchEstimate\/}
  class.
% FFT
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt FFT\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt IFFT\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt FFTImpBase\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt SFFTImplement\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt SIFFTImplement\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt DFFTImplement\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt DIFFTImplement\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt plandb\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt plankey\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt planhandle\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt dplanhandle\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
% HELPERS
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt fvalarray\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt Window\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt WindowImp\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt WindowInfo\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt HannWindow\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt KaiserWindow\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt RectangularWindow\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt Warning\/}
  class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Using a dvi-file previewer verify that the Data Conditioning API
  tex-based documentation is built and complete for the {\tt
    unimplemented\_error\/} class.
\\ \hspace*{\fill} {\bf Pass / Fail}
\end{enumerate}

\noindent
{\bf SUMMARY}
\vspace{1em}

\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular*}{\textwidth}{@{}l@{\extracolsep{\fill}}p{15em}@{}}
{\bf Known faults encountered -- list bug IDs: } & \hrulefill\\
\multicolumn{2}{@{}l@{}}{\hrulefill}\\
{\bf New faults submitted -- list bug IDs: } & \hrulefill \\
\multicolumn{2}{@{}l@{}}{\hrulefill}\\
\end{tabular*}
\renewcommand{\arraystretch}{1} 

\vspace{1em}

\noindent
{\bf TEST RESULT } \hfill {\bf Pass / Fail }\\
%% End of test BUILD03

%% Start of test LIB01
\pagebreak
\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular}{@{}p{10em}@{}p{24em}@{}}
{\bf Test Case:}        & LIB01\\
{\bf Purpose: }         & Verify the correct functioning of the C$++$ \\
                        & code that is a part of the data conditioning API.\\
{\bf Tester: }          & \rule{15em}{.1pt} \\
{\bf Test machine: }    & \rule{15em}{.1pt} \\
{\bf Date (mm/dd/yy): } & \rule{2em}{.1pt}/\rule{2em}{.1pt}/\rule{2em}{.1pt}
\hspace{2em} {\bf Time: } \rule{6em}{.1pt}\\
\end{tabular}
\renewcommand{\arraystretch}{1} 
\vspace{1em}

\noindent
{\bf ENVIRONMENT AND PREREQUISITES} 

This test is executed from the user account \mdc\ on the data
conditioning hardware \datacon. It depends on successful completion of
BUILD01. 

\vspace{1em}
\noindent
{\bf PROCEDURE}

\begin{enumerate}
\item On the LDAS build system, in an account with r/w-access to the
  LDAS build tree,  set the environment variable {\tt
    \$TEST\_VERBOSE\_MODE\/} to 
  {\tt true}. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item In the {\tt \$LDASOBJS/api/datacondAPI\/} issue the (tcsh) commands 
\begin{verbatim}
% date > $HOME/LIB01.out
% make check >>& $HOME/mdc/lib/LIB01.out
\end{verbatim}
    \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tDFFT}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tDfftimplement}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tDplanhandle}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tDrealfft}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tFFTPerf}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tFFT\_thread}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tFFTW}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tFIRLP}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tKFIRLP}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tLinFilt}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tMixer}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary.as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tPSDEstimate}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tPlandb}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tPlandb\_thread}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tPlankey}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tResample}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tSfft}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tSrealfft}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tStatistics}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tUnimplemented}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tWindow}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tWarning}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Inspect the file {\tt \$HOME/mdc/lib/LIB01.out\/} for the
  results of the test program {\tt tfvalarray}:
  \begin{enumerate}
  \item Verify that the program exits with exit status 0.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \item Verify that each component test returns a PASS.
    \\ \hspace*{\fill} {\bf Pass / Fail}
  \end{enumerate}
Correct the test code and/or the component code as necessary. 
\\ \hspace*{\fill} {\bf Pass / Fail}
\item Copy the file {\tt \$HOME/mdc/lib/LIB01.out\/} to the
  directory \console:{\tt{}mdc/lib/LIB01.out.}
    \\ \hspace*{\fill} {\bf Pass / Fail}
\end{enumerate}

\noindent
{\bf SUMMARY}
\vspace{1em}

\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular*}{\textwidth}{@{}l@{\extracolsep{\fill}}p{15em}@{}}
{\bf Known faults encountered -- list bug IDs: } & \hrulefill\\
\multicolumn{2}{@{}l@{}}{\hrulefill}\\
{\bf New faults submitted -- list bug IDs: } & \hrulefill \\
\multicolumn{2}{@{}l@{}}{\hrulefill}\\
\end{tabular*}
\renewcommand{\arraystretch}{1} 

\vspace{1em}

\noindent
{\bf TEST RESULT } \hfill {\bf Pass / Fail }\\
%% End of test LIB01
